Access Management

Create a policy

POST https://{tenant}.atomicwork.com/api/v1/iga/policies

Create a new identity policy. Requires name, type, and status. Policies define access rules and can be associated with entitlements.

Authorization

X-Api-Keyheaderstringrequired

API key authentication.

Headers

X-Workspace-Idheaderstring

Body

namebodystringrequired

Name of the policy

descriptionbodystring

Description of the policy

typebodyenum (string)required
Allowed valuesBIRTH_RIGHTSELF_SERVICE
conditionbodyobject
approvalsbodyobject
lifecyclebodyobject
statusbodyenum (string)required
Allowed valuesDRAFTPUBLISHEDARCHIVEDUNPUBLISHED
is_activebodyboolean

Whether the policy is active

entitlementsbodyarray of integer

List of entitlement IDs to associate with this policy

app_idbodyintegerrequired

ID of the identity resource app this policy belongs to

is_business_justification_requiredbodyboolean

Whether business justification is required for requests under this policy

Response

200

Successful response